Subject: bug#15899: 24.3.50; regression: `region' overlay is lower priority than default

From: Drew Adams <[email-masked]>
Date: Sat, 16 Nov 2013 09:47:27 -0800 (PST)

> > 2. Previously, region highlighting used the `face' text property.
> 
> No, region never used any text properties.  There was a 'region'
> face, yes, but no text property.  Instead, the display engine had
> special code for displaying the active region in the 'region' face.

You are right about that, Eli.  I was quite mistaken about it.

Funny (embarrassing), I could have sworn that I had seen face
`region' listed as a text property in `C-u C-x =', but I must not
have.  And yes, I should have double-checked that.

Thank you for the correction.  And that changes what I said about
moving `region' to an overlay taking some text-property behavior
away from Lisp users.

With that information, I now see no downside (so far) to moving
face `region' to an overlay.  We just need to get the overlay
(by default) to appear to be on top of most other overlays (with
isearch as an exception).